10 '**********************************************************************
11 '*  Program  : CALB726.BAS                                            *
12 '*  Revision : 1.10                                                   *
13 '*  Date     : 06/09/89                         Advantech Co., Ltd.   *
14 '*====================================================================*
20 '*                                                                    *
22 '*  This calibration program will lead the user to perform the        *
24 '*  following five calibration functions on the PCL-726:              *
26 '*                                                                    *
28 '*   1.  Voltage 0V to  5V output adjustment.(Unipolar)               *
30 '*                                                                    *
32 '*   2.  Voltage 0V to 10V output adjustment.(Unipolar)               *
34 '*                                                                    *
36 '*   3.  Voltage -5V  to  5V output adjustment.(Bipolar)              *
38 '*                                                                    *
40 '*   4.  Voltage -10V to 10V output adjustment.(bipolar)              *
42 '*                                                                    *
44 '*   5.  Current output(sink) 4 to 20 mA adjustment.                  *
46 '*                                                                    *
48 '*                                                                    *
50 '**********************************************************************
80 '
100 SCREEN 0,0,0:WIDTH 80
110 CLS:KEY OFF
120 LOCATE 1,10 :PRINT "  ============================================================";
130 LOCATE 2,10 :PRINT "  !                                                          !";
140 LOCATE 3,10 :PRINT "  !    PCLD-726 (6 CH D/A output Card) Calibration           !";
150 LOCATE 4,10 :PRINT "  !    -------------------------------------------------     !";
160 LOCATE 5,10 :PRINT "  !                                                          !";
170 LOCATE 6,10 :PRINT "  !    Please enter your selection (1, 2, 3, 4, 5 or 6):     !";
180 LOCATE 7,10 :PRINT "  !                                                          !";
190 LOCATE 8,10 :PRINT "  !    1.  Voltage 0V to  5V output adjustment.(Unipolar)    !";
200 LOCATE 9,10 :PRINT "  !    2.  Voltage 0V to 10V output adjustment.(Unipolar)    !";
210 LOCATE 10,10:PRINT "  !    3.  Voltage -5V  to  5V output adjustment.(Bipolar)   !";
220 LOCATE 11,10:PRINT "  !    4.  Voltage -10V to 10V output adjustment.(bipolar)   !";
230 LOCATE 12,10:PRINT "  !    5.  Current output(sink) 4 to 20 mA adjustment.       !";
240 LOCATE 13,10:PRINT "  !    6.  Exit.                                             !";
250 LOCATE 14,10:PRINT "  !                                                          !";
260 LOCATE 15,10:PRINT "  !                                                          !";
270 LOCATE 16,10:PRINT "  ============================================================";
280 LOCATE 6, 10 :INPUT "  !    Please enter your selection (1, 2, 3, 4, 5 or 6):",FUN%
285 IF FUN%<1 OR FUN% >6 THEN GOTO 380
288 IF FUN%=6 THEN GOTO 420
290 LOCATE 18,10 :INPUT "  !    Please enter Channel Number (1 TO 6):",CH%
295 IF CH% <1 OR  CH% >6 THEN GOTO 380
300 CLS:ON FUN% GOSUB 500,600,700,800,900,410
310   LOCATE 24,30:COLOR 0,7
320   PRINT "Press any key to start !!!";
330   COLOR 7,0
340 IF INKEY$="" THEN 340
350 GOSUB 1000
355 P%=(CH%-1)*2 :PORT%=&H2C0
360 ON FUN% GOSUB 2000,2000,2100,2100,2300
370 GOTO 110
380 BEEP
390 LOCATE 18,10:PRINT "  Invalid entry, please enter again !"
400 GOTO 280
410 RETURN 420
420 END
500 '
505 LOCATE 1,10 :PRINT "  ============================================================";
510 LOCATE 2,10 :PRINT "  !                                                          !";
515 LOCATE 3,10 :PRINT "  !      1.Voltage 0V to  5V output adjustment.(Unipolar)    !";
520 LOCATE 4,10 :PRINT "  !      -------------------------------------------------   !";
525 LOCATE 5,10 :PRINT "  !                                                          !";
530 LOCATE 6,10 :PRINT "  !   Calibration steps:                                     !";
535 LOCATE 7,10 :PRINT "  !                                                          !";
540 LOCATE 8,10 :PRINT "  !   . Connect the DC voltage meter to the selected         !";
545 LOCATE 9,10 :PRINT "  !     channel between V OUT and A.GND pin.                 !";
550 LOCATE 10,10:PRINT "  !                                                          !";
555 LOCATE 11,10:PRINT "  !   . Plug mini jumpers into JP1(U/B) 'U'location          !";
560 LOCATE 12,10:PRINT "  !     at selected channel.                                 !";
565 LOCATE 13,10:PRINT "  !                                                          !";
570 LOCATE 14,10:PRINT "  !   . Plug mini jumpers into JP2(REF IN) '-5V' location.   !";
575 LOCATE 15,10:PRINT "  !     at selected channel.                                 !";
580 LOCATE 16,10:PRINT "  !                                                          !";
585 LOCATE 17,10:PRINT "  !                                                          !";
590 LOCATE 18,10:PRINT "  ============================================================";
595 RETURN
600 '
605 LOCATE 1,10 :PRINT "  ============================================================";
610 LOCATE 2,10 :PRINT "  !                                                          !";
615 LOCATE 3,10 :PRINT "  !      2.Voltage 0V to 10V output adjustment.(Unipolar)    !";
620 LOCATE 4,10 :PRINT "  !      -----------------------------------------------     !";
625 LOCATE 5,10 :PRINT "  !                                                          !";
630 LOCATE 6,10 :PRINT "  !   Calibration steps:                                     !";
635 LOCATE 7,10 :PRINT "  !                                                          !";
640 LOCATE 8,10 :PRINT "  !   . Connect the DC voltage meter to the selected         !";
645 LOCATE 9,10 :PRINT "  !     channel between V OUT and A.GND pin.                 !";
650 LOCATE 10,10:PRINT "  !                                                          !";
655 LOCATE 11,10:PRINT "  !   . Plug mini jumpers into JP1(U/B) 'U'location          !";
660 LOCATE 12,10:PRINT "  !     at selected channel.                                 !";
665 LOCATE 13,10:PRINT "  !                                                          !";
670 LOCATE 14,10:PRINT "  !   . Plug mini jumpers into JP2(REF IN) '-10V'location    !";
675 LOCATE 15,10:PRINT "  !     at selected channel.                                 !";
680 LOCATE 16,10:PRINT "  !                                                          !";
685 LOCATE 17,10:PRINT "  !                                                          !";
690 LOCATE 18,10:PRINT "  ============================================================";
695 RETURN
700 '
705 LOCATE 1,10 :PRINT "  ============================================================";
710 LOCATE 2,10 :PRINT "  !                                                          !";
715 LOCATE 3,10 :PRINT "  !      3.Voltage -5V  to  5V output adjustment.(Bipolar)   !";
720 LOCATE 4,10 :PRINT "  !      --------------------------------------------------  !";
725 LOCATE 5,10 :PRINT "  !                                                          !";
730 LOCATE 6,10 :PRINT "  !   Calibration steps:                                     !";
735 LOCATE 7,10 :PRINT "  !                                                          !";
740 LOCATE 8,10 :PRINT "  !   . Connect the DC voltage meter to the selected         !";
745 LOCATE 9,10 :PRINT "  !     channel between V OUT and A.GND pin.                 !";
750 LOCATE 10,10:PRINT "  !                                                          !";
755 LOCATE 11,10:PRINT "  !   . Plug mini jumpers into JP1(U/B) 'B'location.         !";
760 LOCATE 12,10:PRINT "  !     at selected channel.                                 !";
765 LOCATE 13,10:PRINT "  !                                                          !";
770 LOCATE 14,10:PRINT "  !   .Plug mini jumpers into JP2(REF IN) '-5V' location.    !";
775 LOCATE 15,10:PRINT "  !                                                          !";
780 LOCATE 16,10:PRINT "  !                                                          !";
785 LOCATE 17,10:PRINT "  !                                                          !";
790 LOCATE 18,10:PRINT "  ============================================================";
795 RETURN
800 '
805 LOCATE 1,10 :PRINT "  ============================================================";
810 LOCATE 2,10 :PRINT "  !                                                          !";
815 LOCATE 3,10 :PRINT "  !      4.Voltage -10V to 10V output adjustment.(bipolar)   !";
820 LOCATE 4,10 :PRINT "  !      -------------------------------------------------   !";
825 LOCATE 5,10 :PRINT "  !                                                          !";
830 LOCATE 6,10 :PRINT "  !   Calibration steps:                                     !";
835 LOCATE 7,10 :PRINT "  !                                                          !";
840 LOCATE 8,10 :PRINT "  !   . Connect the DC voltage meter to the selected         !";
845 LOCATE 9,10 :PRINT "  !     channel between V OUT and A.GND pin.                 !";
850 LOCATE 10,10:PRINT "  !                                                          !";
855 LOCATE 11,10:PRINT "  !   . Plug mini jumpers into JP1(U/B) 'B'location.         !";
860 LOCATE 12,10:PRINT "  !     at selected channel.                                 !";
865 LOCATE 13,10:PRINT "  !                                                          !";
870 LOCATE 14,10:PRINT "  !   .Plug mini jumpers into JP2(REF IN) '-10V' location.   !";
875 LOCATE 15,10:PRINT "  !                                                          !";
880 LOCATE 16,10:PRINT "  !                                                          !";
885 LOCATE 17,10:PRINT "  !                                                          !";
890 LOCATE 18,10:PRINT "  ============================================================";
895 RETURN
900 '
905 LOCATE 1,10 :PRINT "  ============================================================";
910 LOCATE 2,10 :PRINT "  !                                                          !";
915 LOCATE 3,10 :PRINT "  !      5. Adjust current output at 4 to 20ma range         !";
920 LOCATE 4,10 :PRINT "  !      ---------------------------------------------       !";
925 LOCATE 5,10 :PRINT "  !                                                          !";
930 LOCATE 6,10 :PRINT "  !   Calibration steps:                                     !";
935 LOCATE 7,10 :PRINT "  !                                                          !";
940 LOCATE 8,10 :PRINT "  !   . Connect the DC current meter & power supply(upper 9v)!";
945 LOCATE 9,10 :PRINT "  !     to the selected channel between I OUT and A.GND pin. !";
950 LOCATE 10,10:PRINT "  !                                                          !";
955 LOCATE 11,10:PRINT "  !   . Plug mini jumpers into JP1(U/B) 'U'location.         !";
960 LOCATE 12,10:PRINT "  !     at selected channel.                                 !";
965 LOCATE 13,10:PRINT "  !                                                          !";
970 LOCATE 14,10:PRINT "  !   .Plug mini jumpers into JP2(REF IN) '-5V' location.    !";
975 LOCATE 15,10:PRINT "  !                                                          !";
980 LOCATE 16,10:PRINT "  !                                                          !";
985 LOCATE 17,10:PRINT "  !                                                          !";
990 LOCATE 18,10:PRINT "  ============================================================";
995 RETURN
1000 '
1005 CLS
1010 LOCATE 8,10 :PRINT " Ŀ "
1015 LOCATE 9,10 :PRINT "     JP2            JP1                     |             "
1020 LOCATE 10,10:PRINT "     Ŀ  Ŀ   츳 "
1025 LOCATE 11,10:PRINT "  EXT  U  ٳ "
1030 LOCATE 12,10:PRINT "  -5VVR1  2  3     6  5  4  3  2  1 VR4  5  6  7  "
1035 LOCATE 13,10:PRINT " -10V           B  \             /     \      /   "
1040 LOCATE 14,10:PRINT "                     \         /        REF OUT   "
1045 LOCATE 15,10:PRINT "                               CURRENT          ADJUST    "
1050 LOCATE 16,10:PRINT "                                OUTPUT                    "
1055 LOCATE 17,10:PRINT "          Ŀ                                       "
1060 LOCATE 18,10:PRINT "                                                        "
1065 LOCATE 19,10:PRINT "                                                 "
1070 LOCATE 20,10:PRINT "  "
1075 RETURN
1077 '
2000  LOCATE 1,10 :PRINT "Adjust D/A Uniploar output Offset & Gain        ";
2010  LOCATE 4,20:COLOR 0,7:PRINT " Offset ":COLOR 7,0
2020   OUT PORT%+P%,0
2030   OUT PORT%+P%+1,0    :A=25:GOSUB 3000
2040  LOCATE 4,20:COLOR 0,7:PRINT "  Gain  ":COLOR 7,0
2050   OUT PORT%+P%,&HF
2060   OUT PORT%+P%+1,&HFF :A=22:GOSUB 3000
2070   OUT PORT%+P%,0
2080   OUT PORT%+P%+1,0
2090   RETURN
2100 '
2110  LOCATE 1,10 :PRINT "Adjust D/A Biploar output Offset & Gain        ";
2120  LOCATE 4,20:COLOR 0,7:PRINT " Offset ":COLOR 7,0
2130   OUT PORT%+P%,&H8
2140   OUT PORT%+P%+1,0    :A=28:GOSUB 3000
2150  LOCATE 4,20:COLOR 0,7:PRINT "Gain(+) ":COLOR 7,0
2160   OUT PORT%+P%,&HF
2170   OUT PORT%+P%+1,&HFF :A=22:GOSUB 3000
2180  LOCATE 4,20:COLOR 0,7:PRINT "Gain(-) ":COLOR 7,0
2190   OUT PORT%+P%,0
2200   OUT PORT%+P%+1,0    :A=28:GOSUB 3000
2210   OUT PORT%+P%,&H8
2220   OUT PORT%+P%+1,0
2230   RETURN
2300 '
2310  LOCATE 1,10 :PRINT "Adjust D/A Current output Offset(4mA) & Gain      ";
2320  LOCATE 4,20:COLOR 0,7:PRINT "Ios(4mA)":COLOR 7,0
2330   OUT PORT%+P%,0
2340   OUT PORT%+P%+1,0 :A=54-(CH%-1)*3:GOSUB 3000
2350  LOCATE 4,20:COLOR 0,7:PRINT "  Gain  ":COLOR 7,0
2360   OUT PORT%+P%,&HF
2370   OUT PORT%+P%+1,&HFF :A=22:GOSUB 3000
2380   OUT PORT%+P%,0
2390   OUT PORT%+P%+1,0
2400   RETURN
2410   '
3000   LOCATE 18,22:PRINT "CH #";CH%
3010   LOCATE  9,A :PRINT " "
3020   FOR J=0 TO 1000:NEXT J
3030   LOCATE 18,22:PRINT "      "
3040   LOCATE  9,A :PRINT "8"
3050   FOR J=0 TO 1000:NEXT J
3060   IF INKEY$ <> " " THEN GOTO 3000
3070   LOCATE 9,A :PRINT " "
3080   BEEP
3090   RETURN
